/**
 * An example to lookup a module based on command line arguments.
 *
 * @author Matthew Tesch < matt @ hebirobotics.com >
 * @since 23 Sep 2015
 */

#include "lookup_helpers.c"

int main(int argc, char* argv[])
{
  // Try and get the requested module.
  HebiModulePtr module = getModuleFromArgs(argc, argv);
  if (module == NULL)
  {
    printf("Module not found on network.\n\n");
    hebiCleanup();
    return -1;
  }

  printf("Found module.\n\n");

  // Be sure the module is released after you are done with it.
  hebiReleaseModule(module);
  hebiCleanup();

  return 0;
}
